Bug 513811 - rpmlint complains when %{?_isa} is used in requires
rpmlint complains when %{?_isa} is used in requires
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-26 01:47 EDT by Mattias Ellert
Modified: 2009-10-03 15:05 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.91-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-03 15:05:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mattias Ellert 2009-07-26 01:47:27 EDT
Description of problem:

rpmlint complains when Requires: %{name}%{?_isa} is used instead of Requires: %{name} in a devel package

Version-Release number of selected component (if applicable):

rpmlint-0.90-1.fc11.noarch

How reproducible:

Always

Steps to Reproduce:

[ellert@ellert ~]$ rpm -q --requires globus-common-devel | grep globus-common
globus-common(x86-32) = 10.2-6.fc11
[ellert@ellert ~]$ rpmlint globus-common-devel
globus-common-devel.i586: W: no-dependency-on globus-common/globus-common-libs/libglobus-common
globus-common-devel.i586: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
  
Actual results:

There is a warning about "no-dependency-on globus-common", but the package depends on "globus-common(x86-32)"

Expected results:

No warning
Comment 1 Ville Skyttä 2009-07-26 14:36:25 EDT
Thanks for the report; fixed upstream, will be in the next release:
http://rpmlint.zarb.org/cgi-bin/trac.cgi/changeset/1626
Comment 2 Fedora Update System 2009-09-13 18:41:53 EDT
rpmlint-0.91-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rpmlint-0.91-1.fc11
Comment 3 Fedora Update System 2009-09-15 03:42:01 EDT
rpmlint-0.91-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rpmlint'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9562
Comment 4 Fedora Update System 2009-10-03 15:04:55 EDT
rpmlint-0.91-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.